Subject: bug#7390: 24.0.50; pos-col-row gives incorrect row

From: Chong Yidong <[email-masked]>
Date: Sat, 13 Nov 2010 16:37:35 -0500

Eli Zaretskii <[email-masked]> writes:

> I could revert my change to emacs-23 branch and install it on the
> trunk instead.  (Although I cannot see how this could hurt existing
> code -- did you see Lisp code that actually depends on this?)
>
> E.g., artist.el is broken in the same way as picture.el, when there's
> a header line in the window where you draw.
>
> Many users of posn-col-row only use it to compute the difference
> between two rows -- those will be unaffected by my change in
> posn-col-row.
>
> So I still maintain that the fix in posn-col-row should stay in the
> emacs-23 branch.

OK, but then this should be documented in etc/NEWS, just in case there
is someone who cares about the exact behavior of posn-col-row.  Would
you mind doing that?

Also, we have to remember to change posn-col-row again, when we fix the
deeper problem---the X and Y pixel coordinate mismatch that I described
earlier.